---
title: All keyboard shortcuts
slug: Tools/Keyboard_shortcuts
tags:
  - Tools
  - 'l10n:priority'
---
<div>{{ToolsSidebar}}</div>

<p>This page lists all keyboard shortcuts used by the developer tools built into Firefox.</p>

<p>The first section lists the shortcut for opening each tool and the second section lists shortcuts that are applicable to the Toolbox itself. After that there's one section for each tool, which lists the shortcuts that you can use within that tool.</p>

<p>Because access keys are locale-dependent, they're not documented in this page.</p>

<h2 id="Opening_and_closing_tools">Opening and closing tools</h2>

<p>These shortcuts work in the main browser window to open the specified tool. The same shortcuts will work to close tools hosted in the Toolbox, if the tool is active. For tools like the Browser Console that open in a new window, you have to close the window to close the tool.</p>

<table class="fullwidth-table">
 <tbody>
  <tr>
   <th scope="row" style="width: 40%;"><strong>Command</strong></th>
   <th scope="col"><strong>Windows</strong></th>
   <th scope="col"><strong>macOS</strong></th>
   <th scope="col"><strong>Linux</strong></th>
  </tr>
  <tr>
   <th scope="row">Open Toolbox (with the most recent tool activated)</th>
   <td><kbd>Ctrl</kbd> + <kbd>Shift</kbd> + <kbd>I</kbd></td>
   <td><kbd>Cmd</kbd> + <kbd>Opt</kbd> + <kbd>I</kbd></td>
   <td><kbd>Ctrl</kbd> + <kbd>Shift</kbd> + <kbd>I</kbd></td>
  </tr>
  <tr>
   <th scope="row">Bring Toolbox to foreground (if the Toolbox is in a separate window and not in foreground)</th>
   <td><kbd>Ctrl</kbd> + <kbd>Shift</kbd> + <kbd>I</kbd> or <kbd>F12</kbd></td>
   <td><kbd>Cmd</kbd> + <kbd>Opt</kbd> + <kbd>I</kbd> or <kbd>F12</kbd></td>
   <td><kbd>Ctrl</kbd> + <kbd>Shift</kbd> + <kbd>I</kbd> or <kbd>F12</kbd></td>
  </tr>
  <tr>
   <th scope="row">Close Toolbox (if the Toolbox is in a separate window and in foreground)</th>
   <td><kbd>Ctrl</kbd> + <kbd>Shift</kbd> + <kbd>I</kbd> or <kbd>F12</kbd></td>
   <td><kbd>Cmd</kbd> + <kbd>Opt</kbd> + <kbd>I</kbd> or <kbd>F12</kbd></td>
   <td><kbd>Ctrl</kbd> + <kbd>Shift</kbd> + <kbd>I</kbd> or <kbd>F12</kbd></td>
  </tr>
  <tr>
   <th scope="row">Open Web Console <a href="#opening-closing-web-console-note"><strong><sup>1</sup></strong></a></th>
   <td><kbd>Ctrl</kbd> + <kbd>Shift</kbd> + <kbd>K</kbd></td>
   <td><kbd>Cmd</kbd> + <kbd>Opt</kbd> + <kbd>K</kbd></td>
   <td><kbd>Ctrl</kbd> + <kbd>Shift</kbd> + <kbd>K</kbd></td>
  </tr>
  <tr>
   <th scope="row">Toggle "Pick an element from the page" (opens the Toolbox and/or focus the Inspector tab)</th>
   <td><kbd>Ctrl</kbd> + <kbd>Shift</kbd> + <kbd>C</kbd></td>
   <td><kbd>Cmd</kbd> + <kbd>Opt</kbd> + <kbd>C</kbd></td>
   <td><kbd>Ctrl</kbd> + <kbd>Shift</kbd> + <kbd>C</kbd></td>
  </tr>
  <tr>
   <th scope="row">Open Style Editor</th>
   <td><kbd>Shift</kbd> + <kbd>F7</kbd></td>
   <td><kbd>Shift</kbd> + <kbd>F7</kbd> <a href="#mac-function-key-note">*</a></td>
   <td><kbd>Shift</kbd> + <kbd>F7</kbd></td>
  </tr>
  <tr>
   <th scope="row">Open Profiler</th>
   <td><kbd>Shift</kbd> + <kbd>F5</kbd></td>
   <td><kbd>Shift</kbd> + <kbd>F5</kbd> <a href="#mac-function-key-note">*</a></td>
   <td><kbd>Shift</kbd> + <kbd>F5</kbd></td>
  </tr>
  <tr>
   <th scope="row">Open Network Monitor <a href="#opening-closing-network-monitor-note"><strong><sup>2</sup></strong></a></th>
   <td><kbd>Ctrl</kbd> + <kbd>Shift</kbd> + <kbd>E</kbd></td>
   <td><kbd>Cmd</kbd> + <kbd>Opt</kbd> + <kbd>E</kbd></td>
   <td><kbd>Ctrl</kbd> + <kbd>Shift</kbd> + <kbd>E</kbd></td>
  </tr>
  <tr>
   <th scope="row">Toggle Responsive Design Mode</th>
   <td><kbd>Ctrl</kbd> + <kbd>Shift</kbd> + <kbd>M</kbd></td>
   <td><kbd>Cmd</kbd> + <kbd>Opt</kbd> + <kbd>M</kbd></td>
   <td><kbd>Ctrl</kbd> + <kbd>Shift</kbd> + <kbd>M</kbd></td>
  </tr>
  <tr>
   <th scope="row">Open Browser Console</th>
   <td><kbd>Ctrl</kbd> + <kbd>Shift</kbd> + <kbd>J</kbd></td>
   <td><kbd>Cmd</kbd> + <kbd>Shift</kbd> + <kbd>J</kbd></td>
   <td><kbd>Ctrl</kbd> + <kbd>Shift</kbd> + <kbd>J</kbd></td>
  </tr>
  <tr>
   <th scope="row">Open Browser Toolbox</th>
   <td><kbd>Ctrl</kbd> + <kbd>Alt</kbd> + <kbd>Shift</kbd> + <kbd>I</kbd></td>
   <td><kbd>Cmd</kbd> + <kbd>Opt</kbd> + <kbd>Shift</kbd> + <kbd>I</kbd></td>
   <td><kbd>Ctrl</kbd> + <kbd>Alt</kbd> + <kbd>Shift</kbd> + <kbd>I</kbd></td>
  </tr>
  <tr>
   <th scope="row">Open Scratchpad</th>
   <td><kbd>Shift</kbd> + <kbd>F4</kbd></td>
   <td><kbd>Shift</kbd> + <kbd>F4 </kbd> <a href="#mac-function-key-note">*</a></td>
   <td><kbd>Shift</kbd> + <kbd>F4</kbd></td>
  </tr>
  <tr>
   <th scope="row">Open WebIDE</th>
   <td><kbd>Shift</kbd> + <kbd>F8</kbd></td>
   <td><kbd>Shift</kbd> + <kbd>F8</kbd> <a href="#mac-function-key-note">*</a></td>
   <td><kbd>Shift</kbd> + <kbd>F8</kbd></td>
  </tr>
  <tr>
   <th scope="row">Storage Inspector</th>
   <td><kbd>Shift</kbd> + <kbd>F9</kbd></td>
   <td><kbd>Shift</kbd> + <kbd>F9</kbd> <a href="#mac-function-key-note">*</a></td>
   <td><kbd>Shift</kbd> + <kbd>F9</kbd></td>
  </tr>
  <tr>
   <th scope="row">Open Debugger <strong><sup><a href="#opening-closing-debugger">3</a></sup></strong></th>
   <td><kbd>Ctrl</kbd> + <kbd>Shift</kbd> + <kbd>Z</kbd></td>
   <td><kbd>Cmd</kbd> + <kbd>Opt</kbd> + <kbd>Z</kbd></td>
   <td><kbd>Ctrl</kbd> + <kbd>Shift</kbd> + <kbd>Z</kbd></td>
  </tr>
 </tbody>
</table>

<p><a name="opening-closing-web-console-note">1. Unlike the other toolbox-hosted tools, this shortcut does not also close the Web Console. Instead, it focuses on the Web Console's command line. To close the Web Console, use the global toolbox shortcut of <kbd>Ctrl</kbd> + <kbd>Shift</kbd> + <kbd>I</kbd> (<kbd>Cmd</kbd> + <kbd>Opt</kbd> + <kbd>I</kbd> on a Mac).</a></p>

<p><a name="opening-closing-network-monitor-note">2. Before Firefox 55, the keyboard shortcut was <kbd>Ctrl</kbd> + <kbd>Shift</kbd> + <kbd>Q</kbd> (<kbd>Cmd</kbd> + <kbd>Opt</kbd> + <kbd>Q</kbd> on a Mac).</a></p>

<p><a name="opening-closing-debugger">3. Starting in Firefox 71. Before Firefox 66, the letter in this shortcut was S. </a></p>

<h2 id="Toolbox">Toolbox</h2>

<div id="toolbox-shortcuts">
<p>These shortcuts work whenever the toolbox is open, no matter which tool is active.</p>

<table class="fullwidth-table">
 <tbody>
  <tr>
   <th scope="row" style="width: 40%;">Command</th>
   <th scope="col">Windows</th>
   <th scope="col">macOS</th>
   <th scope="col">Linux</th>
  </tr>
  <tr>
   <th scope="row">Cycle through tools left to right</th>
   <td><kbd>Ctrl</kbd> + <kbd>]</kbd></td>
   <td><kbd>Cmd</kbd> + <kbd>]</kbd></td>
   <td><kbd>Ctrl</kbd> + <kbd>]</kbd></td>
  </tr>
  <tr>
   <th scope="row">Cycle through tools right to left</th>
   <td><kbd>Ctrl</kbd> + <kbd>[</kbd></td>
   <td><kbd>Cmd</kbd> + <kbd>[</kbd></td>
   <td><kbd>Ctrl</kbd> + <kbd>[</kbd></td>
  </tr>
  <tr>
   <th scope="row">Toggle between active tool and settings.</th>
   <td><kbd>F1</kbd></td>
   <td><kbd>F1</kbd></td>
   <td><kbd>F1</kbd></td>
  </tr>
  <tr>
   <th scope="row">
    <p>Toggle toolbox between the last 2 <a href="/en-US/docs/Tools/Tools_Toolbox#Docking_mode">docking modes</a></p>
   </th>
   <td><kbd>Ctrl</kbd> + <kbd>Shift</kbd> + <kbd>D</kbd></td>
   <td><kbd>Cmd</kbd> + <kbd>Shift</kbd> + <kbd>D</kbd></td>
   <td><kbd>Ctrl</kbd> + <kbd>Shift</kbd> + <kbd>D</kbd></td>
  </tr>
  <tr>
   <th scope="row">Toggle split console (except if console is the currently selected tool)</th>
   <td><kbd>Esc</kbd></td>
   <td><kbd>Esc</kbd></td>
   <td><kbd>Esc</kbd></td>
  </tr>
 </tbody>
</table>
</div>

<div id="all-toolbox-tools">
<p>These shortcuts work in all tools that are hosted in the toolbox.</p>

<table class="fullwidth-table">
 <tbody>
  <tr>
   <th scope="row" style="width: 40%;">Command</th>
   <th scope="col">Windows</th>
   <th scope="col">macOS</th>
   <th scope="col">Linux</th>
  </tr>
  <tr>
   <th scope="row">Increase font size</th>
   <td><kbd>Ctrl</kbd> + <kbd> + </kbd></td>
   <td><kbd>Cmd</kbd> + <kbd> + </kbd></td>
   <td><kbd>Ctrl</kbd> + <kbd> + </kbd></td>
  </tr>
  <tr>
   <th scope="row">Decrease font size</th>
   <td><kbd>Ctrl</kbd> + <kbd>-</kbd></td>
   <td><kbd>Cmd</kbd> + <kbd>-</kbd></td>
   <td><kbd>Ctrl</kbd> + <kbd>-</kbd></td>
  </tr>
  <tr>
   <th scope="row">Reset font size</th>
   <td><kbd>Ctrl</kbd> + <kbd>0</kbd></td>
   <td><kbd>Cmd</kbd> + <kbd>0</kbd></td>
   <td><kbd>Ctrl</kbd> + <kbd>0</kbd></td>
  </tr>
 </tbody>
</table>
</div>

<h2 id="Source_editor">Source editor</h2>

<div id="source-editor">
<p>This table lists the default shortcuts for the source editor.</p>

<p>In the <a href="/en-US/docs/Tools/Settings#Editor_Preferences">Editor Preferences</a> section of the developer tools settings, you can choose to use Vim, Emacs, or Sublime Text key bindings instead.</p>

<p>To select these, visit <code>about:config</code>, select the setting <code>devtools.editor.keymap</code>, and assign "vim" or "emacs", or "sublime" to that setting. If you do this, the selected bindings will be used for all the developer tools that use the source editor. You need to reopen the editor for the change to take effect.</p>

<p>From Firefox 33 onwards, the key binding preference is exposed in the <a href="/en-US/docs/Tools/Settings#Editor_Preferences">Editor Preferences</a> section of the developer tools settings, and you can set it there instead of <code>about:config</code>.</p>

<table class="fullwidth-table">
 <tbody>
  <tr>
   <th scope="row" style="width: 40%;">Command</th>
   <th scope="col">Windows</th>
   <th scope="col">macOS</th>
   <th scope="col">Linux</th>
  </tr>
  <tr>
   <th scope="row">Go to line</th>
   <td><kbd>Ctrl</kbd> + <kbd>J</kbd>, <kbd>Ctrl</kbd> + <kbd>G</kbd></td>
   <td><kbd>Cmd</kbd> + <kbd>J</kbd>, <kbd>Cmd</kbd> + <kbd>G</kbd></td>
   <td><kbd>Ctrl</kbd> + <kbd>J</kbd>, <kbd>Ctrl</kbd> + <kbd>G</kbd></td>
  </tr>
  <tr>
   <th scope="row">Find in file</th>
   <td><kbd>Ctrl</kbd> + <kbd>F</kbd></td>
   <td><kbd>Cmd</kbd> + <kbd>F</kbd></td>
   <td><kbd>Ctrl</kbd> + <kbd>F</kbd></td>
  </tr>
  <tr>
   <th scope="row">Select all</th>
   <td><kbd>Ctrl</kbd> + <kbd>A</kbd></td>
   <td><kbd>Cmd</kbd> + <kbd>A</kbd></td>
   <td><kbd>Ctrl</kbd> + <kbd>A</kbd></td>
  </tr>
  <tr>
   <th scope="row">Cut</th>
   <td><kbd>Ctrl</kbd> + <kbd>X</kbd></td>
   <td><kbd>Cmd</kbd> + <kbd>X</kbd></td>
   <td><kbd>Ctrl</kbd> + <kbd>X</kbd></td>
  </tr>
  <tr>
   <th scope="row">Copy</th>
   <td><kbd>Ctrl</kbd> + <kbd>C</kbd></td>
   <td><kbd>Cmd</kbd> + <kbd>C</kbd></td>
   <td><kbd>Ctrl</kbd> + <kbd>C</kbd></td>
  </tr>
  <tr>
   <th scope="row">Paste</th>
   <td><kbd>Ctrl</kbd> + <kbd>V</kbd></td>
   <td><kbd>Cmd</kbd> + <kbd>V</kbd></td>
   <td><kbd>Ctrl</kbd> + <kbd>V</kbd></td>
  </tr>
  <tr>
   <th scope="row">Undo</th>
   <td><kbd>Ctrl</kbd> + <kbd>Z</kbd></td>
   <td><kbd>Cmd</kbd> + <kbd>Z</kbd></td>
   <td><kbd>Ctrl</kbd> + <kbd>Z</kbd></td>
  </tr>
  <tr>
   <th scope="row">Redo</th>
   <td><kbd>Ctrl</kbd> + <kbd>Shift</kbd> + <kbd>Z</kbd> / <kbd>Ctrl</kbd> + <kbd>Y</kbd></td>
   <td><kbd>Cmd</kbd> + <kbd>Shift</kbd> + <kbd>Z</kbd> / <kbd>Cmd</kbd> + <kbd>Y</kbd></td>
   <td><kbd>Ctrl</kbd> + <kbd>Shift</kbd> + <kbd>Z</kbd> / <kbd>Ctrl</kbd> + <kbd>Y</kbd></td>
  </tr>
  <tr>
   <th scope="row">Indent</th>
   <td><kbd>Tab</kbd></td>
   <td><kbd>Tab</kbd></td>
   <td><kbd>Tab</kbd></td>
  </tr>
  <tr>
   <th scope="row">Unindent</th>
   <td><kbd>Shift</kbd> + <kbd>Tab</kbd></td>
   <td><kbd>Shift</kbd> + <kbd>Tab</kbd></td>
   <td><kbd>Shift</kbd> + <kbd>Tab</kbd></td>
  </tr>
  <tr>
   <th scope="row">Move line(s) up</th>
   <td><kbd>Alt</kbd> + <kbd>Up</kbd></td>
   <td><kbd>Alt</kbd> + <kbd>Up</kbd></td>
   <td><kbd>Alt</kbd> + <kbd>Up</kbd></td>
  </tr>
  <tr>
   <th scope="row">Move line(s) down</th>
   <td><kbd>Alt</kbd> + <kbd>Down</kbd></td>
   <td><kbd>Alt</kbd> + <kbd>Down</kbd></td>
   <td><kbd>Alt</kbd> + <kbd>Down</kbd></td>
  </tr>
  <tr>
   <th scope="row">Comment/uncomment line(s)</th>
   <td><kbd>Ctrl</kbd> + <kbd>/</kbd></td>
   <td><kbd>Cmd</kbd> + <kbd>/</kbd></td>
   <td><kbd>Ctrl</kbd> + <kbd>/</kbd></td>
  </tr>
 </tbody>
</table>
</div>

<h2 id="Page_Inspector">Page Inspector</h2>

<div id="page-inspector">
<table class="fullwidth-table">
 <tbody>
  <tr>
   <th scope="row" style="width: 40%;">Command</th>
   <th scope="col">Windows</th>
   <th scope="col">macOS</th>
   <th scope="col">Linux</th>
  </tr>
  <tr>
   <th scope="row">Inspect Element</th>
   <td><kbd>Ctrl</kbd> + <kbd>Shift</kbd> + <kbd>C</kbd></td>
   <td><kbd>Cmd</kbd> + <kbd>Shift</kbd> + <kbd>C</kbd></td>
   <td><kbd>Ctrl</kbd> + <kbd>Shift</kbd> + <kbd>C</kbd></td>
  </tr>
 </tbody>
</table>

<h3 id="Node_picker">Node picker</h3>

<p>These shortcuts work while the <a href="/en-US/docs/Tools/Page_Inspector/How_to/Select_an_element#With_the_node_picker">node picker</a> is active.</p>

<table class="fullwidth-table">
 <tbody>
  <tr>
   <th scope="row" style="width: 40%;">Command</th>
   <th scope="col">Windows</th>
   <th scope="col">macOS</th>
   <th scope="col">Linux</th>
  </tr>
  <tr>
   <th scope="row">Select the element under the mouse and cancel picker mode</th>
   <td><kbd>Click</kbd></td>
   <td><kbd>Click</kbd></td>
   <td><kbd>Click</kbd></td>
  </tr>
  <tr>
   <th scope="row">Select the element under the mouse and stay in picker mode</th>
   <td><kbd>Shift</kbd>+<kbd>Click</kbd></td>
   <td><kbd>Shift</kbd>+<kbd>Click</kbd></td>
   <td><kbd>Shift</kbd>+<kbd>Click</kbd></td>
  </tr>
 </tbody>
</table>

<h3 id="HTML_pane">HTML pane</h3>

<p>These shortcuts work while you're in the <a href="/en-US/docs/Tools/Page_Inspector/How_to/Examine_and_edit_HTML" title="/en-US/docs/Tools/Page_Inspector#HTML_pane">Inspector's HTML pane</a>.</p>

<table class="fullwidth-table">
 <tbody>
  <tr>
   <th scope="row" style="width: 40%;">Command</th>
   <th scope="col">Windows</th>
   <th scope="col">macOS</th>
   <th scope="col">Linux</th>
  </tr>
  <tr>
   <th scope="row">Delete the selected node</th>
   <td><kbd>Delete</kbd></td>
   <td><kbd>Delete</kbd></td>
   <td><kbd>Delete</kbd></td>
  </tr>
  <tr>
   <th scope="row">Undo delete of a node</th>
   <td><kbd>Ctrl</kbd> + <kbd>Z</kbd></td>
   <td><kbd>Cmd</kbd> + <kbd>Z</kbd></td>
   <td><kbd>Ctrl</kbd> + <kbd>Z</kbd></td>
  </tr>
  <tr>
   <th scope="row">Redo delete of a node</th>
   <td><kbd>Ctrl</kbd> + <kbd>Shift</kbd> + <kbd>Z</kbd> / <kbd>Ctrl</kbd> + <kbd>Y</kbd></td>
   <td><kbd>Cmd</kbd> + <kbd>Shift</kbd> + <kbd>Z</kbd> / <kbd>Cmd</kbd> + <kbd>Y</kbd></td>
   <td><kbd>Ctrl</kbd> + <kbd>Shift</kbd> + <kbd>Z</kbd> / <kbd>Ctrl</kbd> + <kbd>Y</kbd></td>
  </tr>
  <tr>
   <th scope="row">Move to next node (expanded nodes only)</th>
   <td><kbd>Down arrow</kbd></td>
   <td><kbd>Down arrow</kbd></td>
   <td><kbd>Down arrow</kbd></td>
  </tr>
  <tr>
   <th scope="row">Move to previous node</th>
   <td><kbd>Up arrow</kbd></td>
   <td><kbd>Up arrow</kbd></td>
   <td><kbd>Up arrow</kbd></td>
  </tr>
  <tr>
   <th scope="row">Move to first node in the tree.</th>
   <td><kbd>Home</kbd></td>
   <td><kbd>Home</kbd></td>
   <td><kbd>Home</kbd></td>
  </tr>
  <tr>
   <th scope="row">Move to last node in the tree.</th>
   <td><kbd>End</kbd></td>
   <td><kbd>End</kbd></td>
   <td><kbd>End</kbd></td>
  </tr>
  <tr>
   <th scope="row">Expand currently selected node</th>
   <td><kbd>Right arrow</kbd></td>
   <td><kbd>Right arrow</kbd></td>
   <td><kbd>Right arrow</kbd></td>
  </tr>
  <tr>
   <th scope="row">Collapse currently selected node</th>
   <td><kbd>Left arrow</kbd></td>
   <td><kbd>Left arrow</kbd></td>
   <td><kbd>Left arrow</kbd></td>
  </tr>
  <tr>
   <th scope="row">(When a node is selected) move inside the node so you can start stepping through attributes.</th>
   <td><kbd>Enter</kbd></td>
   <td><kbd>Return</kbd></td>
   <td><kbd>Enter</kbd></td>
  </tr>
  <tr>
   <th scope="row">Step forward through the attributes of a node</th>
   <td><kbd>Tab</kbd></td>
   <td><kbd>Tab</kbd></td>
   <td><kbd>Tab</kbd></td>
  </tr>
  <tr>
   <th scope="row">Step backward through the attributes of a node</th>
   <td><kbd>Shift</kbd> + <kbd>Tab</kbd></td>
   <td><kbd>Shift</kbd> + <kbd>Tab</kbd></td>
   <td><kbd>Shift</kbd> + <kbd>Tab</kbd></td>
  </tr>
  <tr>
   <th scope="row">(When an attribute is selected) start editing the attribute</th>
   <td><kbd>Enter</kbd></td>
   <td><kbd>Return</kbd></td>
   <td><kbd>Enter</kbd></td>
  </tr>
  <tr>
   <th scope="row">Hide/show the selected node</th>
   <td><kbd>H</kbd></td>
   <td><kbd>H</kbd></td>
   <td><kbd>H</kbd></td>
  </tr>
  <tr>
   <th scope="row">Focus on the search box in the HTML pane</th>
   <td><kbd>Ctrl</kbd> + <kbd>F</kbd></td>
   <td><kbd>Cmd</kbd> + <kbd>F</kbd></td>
   <td><kbd>Ctrl</kbd> + <kbd>F</kbd></td>
  </tr>
  <tr>
   <th scope="row">Edit as HTML</th>
   <td><kbd>F2</kbd></td>
   <td><kbd>F2</kbd></td>
   <td><kbd>F2</kbd></td>
  </tr>
  <tr>
   <th scope="row">Stop editing HTML</th>
   <td><kbd>F2</kbd> / <kbd>Ctrl</kbd> +<kbd>Enter</kbd></td>
   <td><kbd>F2</kbd> / <kbd>Cmd</kbd> + <kbd>Return</kbd></td>
   <td><kbd>F2</kbd> / <kbd>Ctrl</kbd> + <kbd>Enter</kbd></td>
  </tr>
  <tr>
   <th scope="row">Copy the selected node's outer HTML</th>
   <td><kbd>Ctrl</kbd> + <kbd>C</kbd></td>
   <td><kbd>Cmd</kbd> + <kbd>C</kbd></td>
   <td><kbd>Ctrl</kbd> + <kbd>C</kbd></td>
  </tr>
  <tr>
   <th scope="row">Scroll the selected node into view</th>
   <td><kbd>S</kbd></td>
   <td><kbd>S</kbd></td>
   <td><kbd>S</kbd></td>
  </tr>
  <tr>
   <th scope="row">Find the next match in the markup, when searching is active</th>
   <td><kbd>Enter</kbd></td>
   <td><kbd>Return</kbd></td>
   <td><kbd>Enter</kbd></td>
  </tr>
  <tr>
   <th scope="row">Find the previous match in the markup, when searching is active</th>
   <td><kbd>Shift</kbd> + <kbd>Enter</kbd></td>
   <td><kbd>Shift</kbd> + <kbd>Return</kbd></td>
   <td><kbd>Shift</kbd> + <kbd>Enter</kbd></td>
  </tr>
 </tbody>
</table>

<h3 id="Breadcrumbs_bar">Breadcrumbs bar</h3>

<p>These shortcuts work when the <a href="/en-US/docs/Tools/Page_Inspector/How_to/Examine_and_edit_HTML#HTML_breadcrumbs">breadcrumbs bar</a> is focused.</p>

<table class="fullwidth-table">
 <tbody>
  <tr>
   <th scope="row" style="width: 40%;">Command</th>
   <th scope="col">Windows</th>
   <th scope="col">macOS</th>
   <th scope="col">Linux</th>
  </tr>
  <tr>
   <th scope="row">Move to the previous element in the breadcrumbs bar </th>
   <td><kbd>Left arrow</kbd></td>
   <td><kbd>Left arrow</kbd></td>
   <td><kbd>Left arrow</kbd></td>
  </tr>
  <tr>
   <th scope="row">Move to the next element in the breadcrumbs bar </th>
   <td><kbd>Right arrow</kbd></td>
   <td><kbd>Right arrow</kbd></td>
   <td><kbd>Right arrow</kbd></td>
  </tr>
  <tr>
   <th scope="row">Focus the <a href="/en-US/docs/Tools/Page_Inspector/UI_Tour#HTML_pane">HTML pane</a></th>
   <td><kbd>Shift</kbd> + <kbd>Tab</kbd></td>
   <td><kbd>Shift</kbd> + <kbd>Tab</kbd></td>
   <td><kbd>Shift</kbd> + <kbd>Tab</kbd></td>
  </tr>
  <tr>
   <th scope="row">Focus the <a href="/en-US/docs/Tools/Page_Inspector/UI_Tour#CSS_pane">CSS pane</a></th>
   <td><kbd>Tab</kbd></td>
   <td><kbd>Tab</kbd></td>
   <td><kbd>Tab</kbd></td>
  </tr>
 </tbody>
</table>

<h3 id="CSS_pane">CSS pane</h3>

<p>These shortcuts work when you're in the <a href="/en-US/docs/Tools/Page_Inspector/How_to/Examine_and_edit_CSS" title="/en-US/docs/Tools/Page_Inspector#CSS_pane">Inspector's CSS pane</a>.</p>

<table class="fullwidth-table">
 <tbody>
  <tr>
   <th scope="row" style="width: 40%;">Command</th>
   <th scope="col">Windows</th>
   <th scope="col">macOS</th>
   <th scope="col">Linux</th>
  </tr>
  <tr>
   <th scope="row">Focus on the search box in the CSS pane</th>
   <td><kbd>Ctrl</kbd> + <kbd>F</kbd></td>
   <td><kbd>Cmd</kbd> + <kbd>F</kbd></td>
   <td><kbd>Ctrl</kbd> + <kbd>F</kbd></td>
  </tr>
  <tr>
   <th scope="row">Clear search box content (only when the search box is focused, and content has been entered)</th>
   <td><kbd>Esc</kbd></td>
   <td><kbd>Esc</kbd></td>
   <td><kbd>Esc</kbd></td>
  </tr>
  <tr>
   <th scope="row">Step forward through properties and values</th>
   <td><kbd>Tab</kbd></td>
   <td><kbd>Tab</kbd></td>
   <td><kbd>Tab</kbd></td>
  </tr>
  <tr>
   <th scope="row">Step backward through properties and values</th>
   <td><kbd>Shift</kbd> + <kbd>Tab</kbd></td>
   <td><kbd>Shift</kbd> + <kbd>Tab</kbd></td>
   <td><kbd>Shift</kbd> + <kbd>Tab</kbd></td>
  </tr>
  <tr>
   <th scope="row">Start editing property or value (Rules view only, when a property or value is selected, but not already being edited)</th>
   <td><kbd>Enter</kbd> or <kbd>Space</kbd></td>
   <td><kbd>Return</kbd> or <kbd>Space</kbd></td>
   <td><kbd>Enter</kbd> or <kbd>Space</kbd></td>
  </tr>
  <tr>
   <th scope="row">Cycle up and down through auto-complete suggestions (Rules view only, when a property or value is being edited)</th>
   <td><kbd>Up arrow</kbd> , <kbd>Down arrow</kbd></td>
   <td><kbd>Up arrow</kbd> , <kbd>Down arrow</kbd></td>
   <td><kbd>Up arrow</kbd> , <kbd>Down arrow</kbd></td>
  </tr>
  <tr>
   <th scope="row">Choose current auto-complete suggestion (Rules view only, when a property or value is being edited)</th>
   <td><kbd>Enter</kbd> or <kbd>Tab</kbd></td>
   <td><kbd>Return</kbd> or <kbd>Tab</kbd></td>
   <td><kbd>Enter</kbd> or <kbd>Tab</kbd></td>
  </tr>
  <tr>
   <th scope="row">Increment selected value by 1</th>
   <td><kbd>Up arrow</kbd></td>
   <td><kbd>Up arrow</kbd></td>
   <td><kbd>Up arrow</kbd></td>
  </tr>
  <tr>
   <th scope="row">Decrement selected value by 1</th>
   <td><kbd>Down arrow</kbd></td>
   <td><kbd>Down arrow</kbd></td>
   <td><kbd>Down arrow</kbd></td>
  </tr>
  <tr>
   <th scope="row">Increment selected value by 100</th>
   <td><kbd>Shift</kbd> + <kbd>Page Up</kbd></td>
   <td><kbd>Shift</kbd> + <kbd>Page Up</kbd></td>
   <td><kbd>Shift</kbd> + <kbd>Page Up</kbd></td>
  </tr>
  <tr>
   <th scope="row">Decrement selected value by 100</th>
   <td><kbd>Shift</kbd> + <kbd>Page Down</kbd></td>
   <td><kbd>Shift</kbd> + <kbd>Page Down</kbd></td>
   <td><kbd>Shift</kbd> + <kbd>Page Down</kbd></td>
  </tr>
  <tr>
   <th scope="row">Increment selected value by 10</th>
   <td><kbd>Shift</kbd> + <kbd>Up arrow</kbd></td>
   <td><kbd>Shift</kbd> + <kbd>Up arrow</kbd></td>
   <td><kbd>Shift</kbd> + <kbd>Up arrow</kbd></td>
  </tr>
  <tr>
   <th scope="row">Decrement selected value by 10</th>
   <td><kbd>Shift</kbd> + <kbd>Down arrow</kbd></td>
   <td><kbd>Shift</kbd> + <kbd>Down arrow</kbd></td>
   <td><kbd>Shift</kbd> + <kbd>Down arrow</kbd></td>
  </tr>
  <tr>
   <th scope="row">Increment selected value by 0.1</th>
   <td><kbd>Alt</kbd> + <kbd>Up arrow</kbd> (<kbd>Ctrl</kbd> + <kbd>Up arrow</kbd> from Firefox 60 onwards.)</td>
   <td><kbd>Alt</kbd> + <kbd>Up arrow</kbd></td>
   <td><kbd>Alt</kbd> + <kbd>Up arrow</kbd> (<kbd>Ctrl</kbd> + <kbd>Up arrow</kbd> from Firefox 60 onwards.)</td>
  </tr>
  <tr>
   <th scope="row">Decrement selected value by 0.1</th>
   <td><kbd>Alt</kbd> + <kbd>Down arrow</kbd> (<kbd>Ctrl</kbd> + <kbd>Down arrow</kbd> from Firefox 60 onwards).</td>
   <td><kbd>Alt</kbd> + <kbd>Down arrow</kbd></td>
   <td><kbd>Alt</kbd> + <kbd>Down arrow</kbd> (<kbd>Ctrl</kbd> + <kbd>Down arrow</kbd> from Firefox 60 onwards).</td>
  </tr>
  <tr>
   <th scope="row">Show/hide more information about current property (Computed view only, when a property is selected)</th>
   <td><kbd>Enter</kbd> or <kbd>Space</kbd></td>
   <td><kbd>Return</kbd> or <kbd>Space</kbd></td>
   <td><kbd>Enter</kbd> or <kbd>Space</kbd></td>
  </tr>
  <tr>
   <th scope="row">Open MDN reference page about current property (Computed view only, when a property is selected)</th>
   <td><kbd>F1</kbd></td>
   <td><kbd>F1</kbd></td>
   <td><kbd>F1</kbd></td>
  </tr>
  <tr>
   <th scope="row">Open current CSS file in Style Editor (Computed view only, when more information is shown for a property and a CSS file reference is focused).</th>
   <td><kbd>Enter</kbd></td>
   <td><kbd>Return</kbd></td>
   <td><kbd>Enter</kbd></td>
  </tr>
 </tbody>
</table>
</div>

<h2 id="Debugger">Debugger</h2>

<div id="debugger">
<table class="fullwidth-table">
 <tbody>
  <tr>
   <th scope="row" style="width: 40%;">Command</th>
   <th scope="col">Windows</th>
   <th scope="col">macOS</th>
   <th scope="col">Linux</th>
  </tr>
  <tr>
   <th scope="row">Close current file</th>
   <td><kbd>Ctrl</kbd> + <kbd>W</kbd></td>
   <td><kbd>Cmd</kbd> + <kbd>W</kbd></td>
   <td><kbd>Ctrl</kbd> + <kbd>W</kbd></td>
  </tr>
  <tr>
   <th scope="row">Search for a string in the current file</th>
   <td><kbd>Ctrl</kbd> + <kbd>F</kbd></td>
   <td><kbd>Cmd</kbd> + <kbd>F</kbd></td>
   <td><kbd>Ctrl</kbd> + <kbd>F</kbd></td>
  </tr>
  <tr>
   <th scope="row">Search for a string in all files</th>
   <td><kbd>Ctrl</kbd> + <kbd>Shift</kbd> + <kbd>F</kbd></td>
   <td><kbd>Cmd</kbd> + <kbd>Shift</kbd> + <kbd>F</kbd></td>
   <td><kbd>Ctrl</kbd> + <kbd>Shift</kbd> + <kbd>F</kbd></td>
  </tr>
  <tr>
   <th scope="row">Find next in the current file</th>
   <td><kbd>Ctrl</kbd> + <kbd>G</kbd></td>
   <td><kbd>Cmd</kbd> + <kbd>G</kbd></td>
   <td><kbd>Ctrl</kbd> + <kbd>G</kbd></td>
  </tr>
  <tr>
   <th scope="row">Search for scripts by name</th>
   <td><kbd>Ctrl</kbd> + <kbd>P</kbd></td>
   <td><kbd>Cmd</kbd> + <kbd>P</kbd></td>
   <td><kbd>Ctrl</kbd> + <kbd>P</kbd></td>
  </tr>
  <tr>
   <th scope="row">Resume execution when at a breakpoint</th>
   <td><kbd>F8</kbd></td>
   <td><kbd>F8</kbd> <a href="#mac-function-key-note"><sup>1</sup></a></td>
   <td><kbd>F8</kbd></td>
  </tr>
  <tr>
   <th scope="row">Step over</th>
   <td><kbd>F10</kbd></td>
   <td><kbd>F10</kbd> <a href="#mac-function-key-note"><sup>1</sup></a></td>
   <td><kbd>F10</kbd></td>
  </tr>
  <tr>
   <th scope="row">Step into</th>
   <td><kbd>F11</kbd></td>
   <td><kbd>F11</kbd> <sup><a href="#mac-function-key-note">1</a></sup></td>
   <td><kbd>F11</kbd></td>
  </tr>
  <tr>
   <th scope="row">Step out</th>
   <td><kbd>Shift</kbd> + <kbd>F11</kbd></td>
   <td><kbd>Shift</kbd> + <kbd>F11</kbd> <sup><a href="#mac-function-key-note">1</a></sup></td>
   <td><kbd>Shift</kbd> + <kbd>F11</kbd></td>
  </tr>
  <tr>
   <th scope="row">Toggle breakpoint on the currently selected line</th>
   <td><kbd>Ctrl</kbd> + <kbd>B</kbd></td>
   <td><kbd>Cmd</kbd> + <kbd>B</kbd></td>
   <td><kbd>Ctrl</kbd> + <kbd>B</kbd></td>
  </tr>
  <tr>
   <th scope="row">Toggle conditional breakpoint on the currently selected line</th>
   <td><kbd>Ctrl</kbd> + <kbd>Shift</kbd> + <kbd>B</kbd></td>
   <td><kbd>Cmd</kbd> + <kbd>Shift</kbd> + <kbd>B</kbd></td>
   <td><kbd>Ctrl</kbd> + <kbd>Shift</kbd> + <kbd>B</kbd></td>
  </tr>
 </tbody>
</table>

<p><a name="mac-function-key-note">1. By default, on some Macs, the function key is remapped to use a special feature: for example, to change the screen brightness or the volume. See this </a><a href="http://support.apple.com/kb/HT3399">guide to using these keys as standard function keys</a>. To use a remapped key as a standard function key, hold the Function key down as well (so to open the Profiler, use <kbd>Shift</kbd> + <kbd>Function</kbd> + <kbd>F5</kbd>).</p>

<div class="notecard note">
<p><strong>Note:</strong> Before Firefox 66, the combination <kbd>Ctrl</kbd> + <kbd>Shift</kbd> + <kbd>S</kbd> on Windows and Linux or <kbd>Cmd</kbd> + <kbd>Opt</kbd> + <kbd>S</kbd> on macOS would open/close the Debugger. From Firefox 66 and later, this is no longer the case.</p>
</div>
</div>

<h2 id="Web_Console">Web Console</h2>

<div id="web-console">
<table class="fullwidth-table">
 <tbody>
  <tr>
   <th scope="row" style="width: 40%;">Command</th>
   <th scope="col">Windows</th>
   <th scope="col">macOS</th>
   <th scope="col">Linux</th>
  </tr>
  <tr>
   <th scope="row">Open the Web Console</th>
   <td><kbd>Ctrl</kbd> + <kbd>Shift</kbd> + <kbd>K</kbd></td>
   <td><kbd>Cmd</kbd> + <kbd>Opt</kbd> + <kbd>K</kbd></td>
   <td><kbd>Ctrl</kbd> + <kbd>Shift</kbd> + <kbd>K</kbd></td>
  </tr>
  <tr>
   <th scope="row">Search in the message display pane</th>
   <td><kbd>Ctrl</kbd> + <kbd>F</kbd></td>
   <td><kbd>Cmd</kbd> + <kbd>F</kbd></td>
   <td><kbd>Ctrl</kbd> + <kbd>F</kbd></td>
  </tr>
  <tr>
   <th scope="row">Open the <a href="/en-US/docs/Tools/Web_Console/Rich_output#Examining_object_properties">object inspector pane</a></th>
   <td><kbd>Ctrl</kbd> + <kbd>Click</kbd></td>
   <td><kbd>Ctrl</kbd> + <kbd>Click</kbd></td>
   <td><kbd>Ctrl</kbd> + <kbd>Click</kbd></td>
  </tr>
  <tr>
   <th scope="row">Clear the <a href="/en-US/docs/Tools/Web_Console/Rich_output#Examining_object_properties">object inspector pane</a></th>
   <td><kbd>Esc</kbd></td>
   <td><kbd>Esc</kbd></td>
   <td><kbd>Esc</kbd></td>
  </tr>
  <tr>
   <th scope="row">Focus on the command line</th>
   <td><kbd>Ctrl</kbd> + <kbd>Shift</kbd> + <kbd>K</kbd></td>
   <td><kbd>Cmd</kbd> + <kbd>Opt</kbd> + <kbd>K</kbd></td>
   <td><kbd>Ctrl</kbd> + <kbd>Shift</kbd> + <kbd>K</kbd></td>
  </tr>
  <tr>
   <th scope="row">Clear output</th>
   <td>
    <p><kbd>Ctrl</kbd> + <kbd>Shift</kbd> + <kbd>L</kbd></p>
   </td>
   <td>
    <p><kbd>Ctrl</kbd> + <kbd>L</kbd></p>

    <p>From Firefox 67:</p>

    <p><kbd>Cmd</kbd> + <kbd>K</kbd></p>
   </td>
   <td>
    <p><kbd>Ctrl</kbd> + <kbd>Shift</kbd> + <kbd>L</kbd></p>
   </td>
  </tr>
 </tbody>
</table>

<h3 id="Command_line_interpreter">Command line interpreter</h3>

<p>These shortcuts apply when you're in the <a href="/en-US/docs/Tools/Web_Console/The_command_line_interpreter">command line interpreter</a>.</p>

<table class="fullwidth-table">
 <tbody>
  <tr>
   <th scope="row" style="width: 40%;">Command</th>
   <th scope="col">Windows</th>
   <th scope="col">macOS</th>
   <th scope="col">Linux</th>
  </tr>
  <tr>
   <th scope="row">Scroll to start of console output (only if the command line is empty)</th>
   <td><kbd>Home</kbd></td>
   <td><kbd>Home</kbd></td>
   <td><kbd>Home</kbd></td>
  </tr>
  <tr>
   <th scope="row">Scroll to end of console output (only if the command line is empty)</th>
   <td><kbd>End</kbd></td>
   <td><kbd>End</kbd></td>
   <td><kbd>End</kbd></td>
  </tr>
  <tr>
   <th scope="row">Page up through console output</th>
   <td><kbd>Page up</kbd></td>
   <td><kbd>Page up</kbd></td>
   <td><kbd>Page up</kbd></td>
  </tr>
  <tr>
   <th scope="row">Page down through console output</th>
   <td><kbd>Page down</kbd></td>
   <td><kbd>Page down</kbd></td>
   <td><kbd>Page down</kbd></td>
  </tr>
  <tr>
   <th scope="row">Go backward through <a href="/en-US/docs/Tools/Web_Console/The_command_line_interpreter#Command_history">command history</a></th>
   <td><kbd>Up arrow</kbd></td>
   <td><kbd>Up arrow</kbd></td>
   <td><kbd>Up arrow</kbd></td>
  </tr>
  <tr>
   <th scope="row">Go forward through command history</th>
   <td><kbd>Down arrow</kbd></td>
   <td><kbd>Down arrow</kbd></td>
   <td><kbd>Down arrow</kbd></td>
  </tr>
  <tr>
   <th scope="row">Initiate reverse search through command history/step backwards through matching commands</th>
   <td><kbd>F9</kbd></td>
   <td><kbd>Ctrl</kbd> + <kbd>R</kbd></td>
   <td><kbd>F9</kbd></td>
  </tr>
  <tr>
   <th scope="row">Step forward through matching command history (after initiating reverse search)</th>
   <td><kbd>Shift</kbd> + <kbd>F9</kbd></td>
   <td><kbd>Ctrl</kbd> + <kbd>S</kbd></td>
   <td><kbd>Shift</kbd> + <kbd>F9</kbd></td>
  </tr>
  <tr>
   <th scope="row">Move to the beginning of the line</th>
   <td><kbd>Home</kbd></td>
   <td><kbd>Ctrl</kbd> + <kbd>A</kbd></td>
   <td><kbd>Ctrl</kbd> + <kbd>A</kbd></td>
  </tr>
  <tr>
   <th scope="row">Move to the end of the line</th>
   <td><kbd>End</kbd></td>
   <td><kbd>Ctrl</kbd> + <kbd>E</kbd></td>
   <td><kbd>Ctrl</kbd> + <kbd>E</kbd></td>
  </tr>
  <tr>
   <th scope="row">Execute the current expression</th>
   <td><kbd>Enter</kbd></td>
   <td><kbd>Return</kbd></td>
   <td><kbd>Enter</kbd></td>
  </tr>
  <tr>
   <th scope="row">Add a new line, for entering multiline expressions</th>
   <td><kbd>Shift</kbd> + <kbd>Enter</kbd></td>
   <td><kbd>Shift</kbd> + <kbd>Return</kbd></td>
   <td><kbd>Shift</kbd> + <kbd>Enter</kbd></td>
  </tr>
 </tbody>
</table>

<h3 id="Autocomplete_popup">Autocomplete popup</h3>

<p>These shortcuts apply while the <a href="/en-US/docs/Tools/Web_Console/The_command_line_interpreter#Autocomplete">autocomplete popup</a> is open:</p>

<table class="fullwidth-table">
 <tbody>
  <tr>
   <th scope="row" style="width: 40%;">Command</th>
   <th scope="col">Windows</th>
   <th scope="col">macOS</th>
   <th scope="col">Linux</th>
  </tr>
  <tr>
   <th scope="row">Choose the current autocomplete suggestion</th>
   <td><kbd>Tab</kbd></td>
   <td><kbd>Tab</kbd></td>
   <td><kbd>Tab</kbd></td>
  </tr>
  <tr>
   <th scope="row">Cancel the autocomplete popup</th>
   <td><kbd>Esc</kbd></td>
   <td><kbd>Esc</kbd></td>
   <td><kbd>Esc</kbd></td>
  </tr>
  <tr>
   <th scope="row">Move to the previous autocomplete suggestion</th>
   <td><kbd>Up arrow</kbd></td>
   <td><kbd>Up arrow</kbd></td>
   <td><kbd>Up arrow</kbd></td>
  </tr>
  <tr>
   <th scope="row">Move to the next autocomplete suggestion</th>
   <td><kbd>Down arrow</kbd></td>
   <td><kbd>Down arrow</kbd></td>
   <td><kbd>Down arrow</kbd></td>
  </tr>
  <tr>
   <th scope="row">Page up through autocomplete suggestions</th>
   <td><kbd>Page up</kbd></td>
   <td><kbd>Page up</kbd></td>
   <td><kbd>Page up</kbd></td>
  </tr>
  <tr>
   <th scope="row">Page down through autocomplete suggestions</th>
   <td><kbd>Page down</kbd></td>
   <td><kbd>Page down</kbd></td>
   <td><kbd>Page down</kbd></td>
  </tr>
  <tr>
   <th scope="row">Scroll to start of autocomplete suggestions</th>
   <td><kbd>Home</kbd></td>
   <td><kbd>Home</kbd></td>
   <td><kbd>Home</kbd></td>
  </tr>
  <tr>
   <th scope="row">Scroll to end of autocomplete suggestions</th>
   <td><kbd>End</kbd></td>
   <td><kbd>End</kbd></td>
   <td><kbd>End</kbd></td>
  </tr>
 </tbody>
</table>
</div>

<h2 id="Style_Editor">Style Editor</h2>

<table class="fullwidth-table">
 <tbody>
  <tr>
   <th scope="row" style="width: 40%;">Command</th>
   <th scope="col">Windows</th>
   <th scope="col">macOS</th>
   <th scope="col">Linux</th>
  </tr>
  <tr>
   <th scope="row">Open the Style Editor</th>
   <td><kbd>Shift</kbd> + <kbd>F7</kbd></td>
   <td><kbd>Shift</kbd> + <kbd>F7</kbd></td>
   <td><kbd>Shift</kbd> + <kbd>F7</kbd></td>
  </tr>
  <tr>
   <th scope="row">Open autocomplete popup</th>
   <td><kbd>Ctrl</kbd> + <kbd>Space</kbd></td>
   <td><kbd>Cmd</kbd> + <kbd>Space</kbd></td>
   <td><kbd>Ctrl</kbd> + <kbd>Space</kbd></td>
  </tr>
 </tbody>
</table>

<div id="scratchpad">
<h2 id="Scratchpad">Scratchpad</h2>

<table class="fullwidth-table">
 <tbody>
  <tr>
   <th scope="row" style="width: 40%;">Command</th>
   <th scope="col">Windows</th>
   <th scope="col">macOS</th>
   <th scope="col">Linux</th>
  </tr>
  <tr>
   <th scope="row">Open the Scratchpad</th>
   <td><kbd>Shift</kbd> + <kbd>F4</kbd></td>
   <td><kbd>Shift</kbd> + <kbd>F4</kbd></td>
   <td><kbd>Shift</kbd> + <kbd>F4</kbd></td>
  </tr>
  <tr>
   <th scope="row">Run Scratchpad code</th>
   <td><kbd>Ctrl</kbd> + <kbd>R</kbd></td>
   <td><kbd>Cmd</kbd> + <kbd>R</kbd></td>
   <td><kbd>Ctrl</kbd> + <kbd>R</kbd></td>
  </tr>
  <tr>
   <th scope="row">Run Scratchpad code, display the result in the <a href="/en-US/docs/Tools/Web_Console/Rich_output#Examining_object_properties">object inspector</a></th>
   <td><kbd>Ctrl</kbd> + <kbd>I</kbd></td>
   <td><kbd>Cmd</kbd> + <kbd>I</kbd></td>
   <td><kbd>Ctrl</kbd> + <kbd>I</kbd></td>
  </tr>
  <tr>
   <th scope="row">Run Scratchpad code, insert the result as a comment</th>
   <td><kbd>Ctrl</kbd> + <kbd>L</kbd></td>
   <td><kbd>Cmd</kbd> + <kbd>L</kbd></td>
   <td><kbd>Ctrl</kbd> + <kbd>L</kbd></td>
  </tr>
  <tr>
   <th scope="row">Re-evaluate current function</th>
   <td><kbd>Ctrl</kbd> + <kbd>E</kbd></td>
   <td><kbd>Cmd</kbd> + <kbd>E</kbd></td>
   <td><kbd>Ctrl</kbd> + <kbd>E</kbd></td>
  </tr>
  <tr>
   <th scope="row">Reload the current page, then run Scratchpad code</th>
   <td><kbd>Ctrl</kbd> + <kbd>Shift</kbd> + <kbd>R</kbd></td>
   <td><kbd>Cmd</kbd> + <kbd>Shift</kbd> + <kbd>R</kbd></td>
   <td><kbd>Ctrl</kbd> + <kbd>Shift</kbd> + <kbd>R</kbd></td>
  </tr>
  <tr>
   <th scope="row">Save the pad</th>
   <td><kbd>Ctrl</kbd> + <kbd>S</kbd></td>
   <td><kbd>Cmd</kbd> + <kbd>S</kbd></td>
   <td><kbd>Ctrl</kbd> + <kbd>S</kbd></td>
  </tr>
  <tr>
   <th scope="row">Open an existing pad</th>
   <td><kbd>Ctrl</kbd> + <kbd>O</kbd></td>
   <td><kbd>Cmd</kbd> + <kbd>O</kbd></td>
   <td><kbd>Ctrl</kbd> + <kbd>O</kbd></td>
  </tr>
  <tr>
   <th scope="row">Create a new pad</th>
   <td><kbd>Ctrl</kbd> + <kbd>N</kbd></td>
   <td><kbd>Cmd</kbd> + <kbd>N</kbd></td>
   <td><kbd>Ctrl</kbd> + <kbd>N</kbd></td>
  </tr>
  <tr>
   <th scope="row">Close Scratchpad</th>
   <td><kbd>Ctrl</kbd> + <kbd>W</kbd></td>
   <td><kbd>Cmd</kbd> + <kbd>W</kbd></td>
   <td><kbd>Ctrl</kbd> + <kbd>W</kbd></td>
  </tr>
  <tr>
   <th scope="row">Pretty print the code in Scratchpad</th>
   <td><kbd>Ctrl</kbd> + <kbd>P</kbd></td>
   <td><kbd>Cmd</kbd> + <kbd>P</kbd></td>
   <td><kbd>Ctrl</kbd> + <kbd>P</kbd></td>
  </tr>
  <tr>
   <th scope="row">Show autocomplete suggestions</th>
   <td><kbd>Ctrl</kbd> + <kbd>Space</kbd></td>
   <td><kbd>Ctrl</kbd> + <kbd>Space</kbd></td>
   <td><kbd>Ctrl</kbd> + <kbd>Space</kbd></td>
  </tr>
  <tr>
   <th scope="row">Show inline documentation</th>
   <td><kbd>Ctrl</kbd> + <kbd>Shift</kbd> + <kbd>Space</kbd></td>
   <td><kbd>Ctrl</kbd> + <kbd>Shift</kbd> + <kbd>Space</kbd></td>
   <td><kbd>Ctrl</kbd> + <kbd>Shift</kbd> + <kbd>Space</kbd></td>
  </tr>
 </tbody>
</table>
</div>

<div id="eyedropper">
<h2 id="Eyedropper">Eyedropper</h2>

<table class="fullwidth-table">
 <tbody>
  <tr>
   <th scope="row" style="width: 40%;">Command</th>
   <th scope="col">Windows</th>
   <th scope="col">macOS</th>
   <th scope="col">Linux</th>
  </tr>
  <tr>
   <th scope="row">Select the current color</th>
   <td><kbd>Enter</kbd></td>
   <td><kbd>Return</kbd></td>
   <td><kbd>Enter</kbd></td>
  </tr>
  <tr>
   <th scope="row">Dismiss the Eyedropper</th>
   <td><kbd>Esc</kbd></td>
   <td><kbd>Esc</kbd></td>
   <td><kbd>Esc</kbd></td>
  </tr>
  <tr>
   <th scope="row">Move by 1 pixel</th>
   <td><kbd>Arrow keys</kbd></td>
   <td><kbd>Arrow keys</kbd></td>
   <td><kbd>Arrow keys</kbd></td>
  </tr>
  <tr>
   <th scope="row">Move by 10 pixels</th>
   <td><kbd>Shift</kbd> + <kbd>arrow keys</kbd></td>
   <td><kbd>Shift</kbd> + <kbd>arrow keys</kbd></td>
   <td><kbd>Shift</kbd> + <kbd>arrow keys</kbd></td>
  </tr>
 </tbody>
</table>
</div>
